Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00101 Misc. Minor Have not tried Jan 21, 2008, 21:54 Dec 25, 2016, 02:04
Tester Karasu View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver kaneko16.cpp
Version 0.56 Fixed in Version 0.181 Build
Summary 00101: berlwallt, berlwallk: an error message "Copy Board" pops up.
Description After about level 5 or so, if you insert a coin when the contunue screen pops up, an error message "Copy Board" pops up.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems berlwallt, berlwallk
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.13163
Kale
Developer
Sep 14, 2016, 22:39
Can't reproduce this as per now.
User avatar
No.13168
Haze
Senior Tester
Sep 15, 2016, 08:00
edited on: Sep 15, 2016, 08:06
it's for the clone sets these days I believe.

'berlwallk' and 'berlwallt'

system11 was going to check if it happens on the actual 'berlwalk' pcb, but never got around to it. (would have been useful to have it confirmed either way)

'berlwallt' was actually only marked as a bootleg because of this, however since it happens on 'berlwallk' set too, which definitely wasn't a bootleg PCB, it's possible 'berlwallt' isn't a bootleg, and that this is some kind of protection fail (they already map the sprite ram/regs in a non-standard way)

the following notes are in the sources that confirm why it draws that text, however, I do wonder if the sprite regs, or maybe some mirror, or sprite limits of some kind should be disabling that specific text (hence why it would be an effective test of a bootleg PCB that might not implement them)

berlwallt original bug ?

info from SebV:

After about level 5 or so, if you insert a coin when the continue screen
pops up, an error message "Copy Board" pops up.
----------------------------------------
Happened to me when player dies, at level 4.
The message is not written in ROM, its sprite ram address is (always?)
$30fd40
Routine $337d2 writes it (and routine $5c8c erases it)
The 'COPY BOARD!' message in stored in ROM directly as sprite number
($1cfa8)

$20288a : seems to contain the level number (initialized to 2 (?) when a
game is started, and is incremented by 1 once a level is finished)

01CF3E: move.b $20288a.l, D0
01CF44: cmpi.b #$d, D0
01CF48: bcs 1cf76 ; branch not taken -=> 'COPY BOARD!'
01CF4A: movem.l D0/A0-A2, -(A7)
01CF4E: movea.l A0, A1
01CF50: lea ($4c,PC), A0; ($1cf9e)
01CF54: nop
01CF56: lea ($a,A0), A0 ; A0 = $1cfa8 = 'COPY BOARD!'
01CF5A: lea $30e064.l, A1
01CF60: lea (-$64,A1), A1
01CF64: lea ($1d40,A1), A1
01CF68: move.b #$80, D1
01CF6C: jsr $33776.l ; display routine
01CF72: movem.l (A7)+, D0/A0-A2
01CF76:

berlwall levels: 1-1,2,3(anim),...
berlwallt levels: 1-1(anim)2-1/2/3/4/5(anim)3-1/2/3/4/5(anim)4-1(*)

note: berlwall may be genuine while berlwallt may be bootleg! because
stage 1-1 of berlwallt is stage 1-3 of berlwall, and berlwall has
explanation ingame.
(TAFA flyers exist for both berlwall and berlwallt player graphics)
--------------------------------------------------------------------------------

User avatar
No.13496
Kale
Developer
Dec 25, 2016, 02:03
I've just patched this.
Actual fix might be sprite DMA related since the thing have sprite RAM decryption and that thing can't be jumped without directly fiddling with work RAM, and it looks unlikely..